C===== MAIN PROGRAMM FOR DAUGER=======                             
      INTEGER ND,NES,AA(12,50),NE,S,NW1,EXPI,KK,                           
     *IND(30),LI(50)                              
      REAL*8 NORM,Y(5,50),LAMM(25),LAMI(50),ME(1,25),                   
     *ME11(50),ME12(50),ME13(50),ME14(50),ME15(50),                
     *ME16(50),ME17(50),ME18(50),ME19(50),                         
     *CC(50),QQ(50),DD1(50),RR(50),                                
     * DLAM(30),GAM(30),DLAM1(200),GAM1(200),
     *R1(1015),R2(1015),R5(1015),R6(1015),                         
     *R7(1015),R8(250000)                                           
      NAMELIST/DAU/ ND,NES,AA,Y,NORM,EXPI,KK,IND,DLAM,GAM,
     * NE,S,NW1
      OPEN(5,FILE='SYS$INPUT',STATUS='OLD')
      READ(5,DAU)                          
      OPEN(6,FILE='SYS$OUTPUT',STATUS='NEW')
      OPEN(9,FILE='OLD$DBASE',STATUS='OLD',FORM='UNFORMATTED')     
      OPEN(11,FILE='OLD$DBASE1',STATUS='OLD',FORM='UNFORMATTED')     
      IF (NES.GT.1) 
     *OPEN(12,FILE='OLD$DBASE2',STATUS='OLD',FORM='UNFORMATTED')     
      IF(NES.GT.2)
     *OPEN(13,FILE='OLD$DBASE3',STATUS='OLD',FORM='UNFORMATTED')     
      IF(NES.GT.3)
     * OPEN(14,FILE='OLD$DBASE4',STATUS='OLD',FORM='UNFORMATTED') 
      IF(NES.GT.4)
     * OPEN(15,FILE='OLD$DBASE5',STATUS='OLD',FORM='UNFORMATTED')
      IF(NES.GT.5)
     * OPEN(16,FILE='OLD$DBASE6',STATUS='OLD',FORM='UNFORMATTED')
      IF(NES.GT.6)
     * OPEN(17,FILE='OLD$DBASE7',STATUS='OLD',FORM='UNFORMATTED')
      IF(NES.GT.7)
     * OPEN(18,FILE='OLD$DBASE8',STATUS='OLD',FORM='UNFORMATTED')
       IF(NES.GT.8)
     * OPEN(19,FILE='OLD$DBASE9',STATUS='OLD',FORM='UNFORMATTED')
      IF(NES.GT.9)
     * OPEN(20,FILE='OLD$DBASE10',STATUS='OLD',FORM='UNFORMATTED')
      IF((NES.GT.10).OR.(NE.GT.1000).OR.(ND.GT.50).OR.
     *(S.GT.18).OR.(NW1.GT.50)) WRITE(6,10)                        
 10   FORMAT('CHECK ARRAYS" DIMENSIONS')                           
       CALL DAUGER(ND,NES,AA,Y,NORM,EXPI,KK,IND,DLAM,GAM,NE,S,NW1, 
     *LI,LAMM,LAMI,            
     *ME,ME11,ME12,ME13,ME14,ME15,                                 
     *ME16,ME17,ME18,ME19,                                         
     *CC,QQ,DD1,RR,DLAM1,GAM1,                                                
     *R1,R2,R5,R6,R7,R8)                                           
      STOP
      END                                                          
